Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.rules.strings
Class AvoidDuplicateLiteralsRule.ExceptionParser

    java.lang.Object
      net.sourceforge.pmd.rules.strings.AvoidDuplicateLiteralsRule.ExceptionParser

Enclosing class:
  AvoidDuplicateLiteralsRule

public static class AvoidDuplicateLiteralsRule.ExceptionParser
extends java.lang.Object

Constructor Summary
`AvoidDuplicateLiteralsRule.ExceptionParser(char delimiter)`

Method Summary
`java.util.Set` | `parse(java.lang.String in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvoidDuplicateLiteralsRule.ExceptionParser

    public AvoidDuplicateLiteralsRule.ExceptionParser(char delimiter)

Method Detail

### parse

    public java.util.Set parse(java.lang.String in)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.